<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/messageListItem"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:gravity="center"
    android:orientation="vertical" >

    <RelativeLayout
        android:id="@+id/relativeWrapper"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:paddingBottom="6dp"
        android:paddingTop="6dp" >

        <TextView
            android:id="@+id/IDLabel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_alignParentTop="true"
            android:text="(Room)"
            android:textColor="@color/off_white"
            android:textSize="14sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/wallsLabel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_below="@+id/IDLabel"
            android:layout_marginTop="2dp"
            android:text="Walls:"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/walls"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/wallsLabel"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/wallsLabel"
            android:text="##"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/windowsLabel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/IDLabel"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="2dp"
            android:layout_toRightOf="@+id/walls"
            android:text="Windows:"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/windows"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/windowsLabel"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/windowsLabel"
            android:text="##"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/door_Label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/IDLabel"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="2dp"
            android:layout_toRightOf="@+id/windows"
            android:text="Doors:"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/doors"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/door_Label"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/door_Label"
            android:text="##"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/ceilingsLabel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_below="@+id/walls"
            android:layout_marginTop="2dp"
            android:text="Ceilings:"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/ceilings"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/ceilingsLabel"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/ceilingsLabel"
            android:text="##"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/floorsLabel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/ceilingsLabel"
            android:layout_marginLeft="16dp"
            android:layout_toRightOf="@+id/ceilings"
            android:text="Floors:"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/floors"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/ceilingsLabel"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/floorsLabel"
            android:text="##"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/sensibleLabel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/ceilingsLabel"
            android:layout_marginLeft="16dp"
            android:layout_toRightOf="@+id/floors"
            android:text="Sensible:"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/sensible"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/ceilingsLabel"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/sensibleLabel"
            android:text="##"
            android:textColor="@color/off_white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/room_load_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/room_load"
            android:layout_toLeftOf="@+id/room_load"
            android:text="Load: "
            android:textColor="@color/off_white"
            android:textSize="12sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/room_load"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/room_load_units_label"
            android:layout_toLeftOf="@+id/room_load_units_label"
            android:text="##"
            android:textColor="@color/off_white"
            android:textSize="12sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/room_load_units_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBottom="@+id/IDLabel"
            android:layout_alignParentRight="true"
            android:text=" BTU"
            android:textColor="@color/off_white"
            android:textSize="12sp"
            android:textStyle="bold" />
    </RelativeLayout>

</LinearLayout>